#include <errors.h>
#include <graph.h>
#include <iostream.h>
#include <strconv.h>
#include <strings.h>
#include <zstrings.h>
#include <signal.h>

typedef struct {
	unsigned int capacity;
	unsigned int length;
	char data[8];
} string;

int main(void)
{
	string buffer;

	if (initgraph(NULL) != 0)
		return 1;
	putz(1, "Height: ");
	itoa(getmaxy(), buffer.data, 10);
	put_line(1, buffer.data);
	putz(1, "Width: ");
	itoa(getmaxx(), buffer.data, 10);
	put_line(1, buffer.data);
	closegraph();
	return 0;
}
